Page MenuHomePhabricator

What to do with the Angry Cat
Closed, ResolvedPublic

Description

A picture of a angry cat is present in the background of every page. Many users reported on frwiki that they was surprised to see it.

How to reproduce this problem :

  1. go to https://meta.wikimedia.org/wiki/Special:BlankPage?useskin=timeless.

Available for logged in or not users, on every platform (I hope as it's in the css). Present on every small page where the white background behind the text does not hide the drawing.

In the patch I posted (https://gerrit.wikimedia.org/r/420384), I fixed the bug corresponding to this spot: the chat was no longer visible, it was simply deleted.
I would find it nice that rather than deleted it is put elsewhere (in the footer, in the preference page...) so that people are not surprised to see it there, among other possibilities.

Related: T174526

Event Timeline

Hmm, you have a rather nice cat in your avatar...

Looks like a nice easter egg to me. (What makes it even funnier for me: The contrast is that low that I'm unable to see it unless I look at my screen at an angle.

Vvjjkkii renamed this task from What to do with the Angry Cat to 10daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 10daaaaaaa to What to do with the Angry Cat.Jul 2 2018, 4:34 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)

Note that there is still discussions about that bug on frwiki.

Isarra claimed this task.Apr 8 2019, 3:29 AM

Okay, okay, implementing the actual feature...

Legoktm added a subscriber: Legoktm.Apr 8 2019, 3:47 AM

I always thought the cat was paying homage to MonoBook's book.

Yeah, but it should be a configurable homage.

Is the cat configurable (I'm guessing it's not)? A grey version of e.g. the Wikipedia logo could be a nice touch.

It will be. Soon.

Ah, but I am truly terrible at keeping the cat in the bag.

Change 509565 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Add TimelessFileModule and $wgTimelessBackdropImage configuration option to set configurable background image for the skin as a whole

https://gerrit.wikimedia.org/r/509565

Change 509565 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Add TimelessFileModule and $wgTimelessBackdropImage configuration option to set configurable background image for the skin as a whole

https://gerrit.wikimedia.org/r/509565

Isarra closed this task as Resolved.May 13 2019, 7:33 PM

Here's what we do with the angry cat: replace it with something else on your project if you want. What, I don't know, but that's what T223163 is for.

Change 509565 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Add TimelessFileModule and $wgTimelessBackdropImage configuration option to set configurable background image for the skin as a whole

https://gerrit.wikimedia.org/r/509565